<?php
/**
 * Display an optional post thumbnail, video in according to post formats
 *
 * @package Amyra
 * @since 1.0 
 */

if( is_category() || is_archive() && !is_author()){
	$layout_masonry 	= amyra_get_theme_mod('cat_layout');	
	}	elseif (is_home() || is_front_page()){
	$layout_masonry 	= amyra_get_theme_mod('blog_layout');	
} else {
	$layout_masonry = "list";
}

if ( has_post_thumbnail() ) {  ?>    
   
               <div class="entry-media" >
                   <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php if( $layout_masonry == 'masonry'  && !is_single() ) { the_post_thumbnail('amyra-soft-featured'); } else { the_post_thumbnail(); } ?></a>   
               </div>
<?php }  ?>